{% extends 'bases/base.html' %}
{% load i18n breadcrumbs crispy_forms_tags %}

{% block page_title %}{% translate " My Dashboard" %}{% endblock %}
{% block breadcrumbs %}
{% endblock %}
{% block content %}

{% if user.is_authenticated %}

<div class="container-fluid p-0">
  <div class="row">

    <div class="col-12 col-lg-4">

      <div class="card">
        <div class="card-body">
          <div class="card-img-center">
            <img src="{{ user.avatar |default:'/static/my_adalia_id/images/avatars/default.png' }}" class="avatar img-fluid rounded-circle me-1" alt="{% translate 'Gravatar' %}" />
          </div>
          <hr />
          <dl class="row">
            <dt class="col-6">{% translate "Username" %}:</dt>
            <dd>
                {{ user }}
            </dd>
            <dt class="col-6">{% translate "Alliance" %}:</dt>
            <dd>
                {{ user.allegiance }}
            </dd>

            <dt class="col-6">{% translate "Wallets" %}:</dt>
            <dd>
              <ul>
                  {% for wallet in wallets %}
                      <li><tt>{{ wallet.address}}</tt></li>
                  {% endfor %}
              </ul>
            </dd>
          </dl>
          <hr />
        </div>
        <div class="card-footer">&nbsp;</div>
      </div>


    </div>

    <div class="col-12 col-lg-8">
      <div class="card">
        <div class="card-header">
          <div class="card-title">{{ user }}'s {% translate 'Asteroids' %}</div>
        </div>
        <div class="card-body">
          <table id="asteroid-table" class="table table-striped" style="width:100%" data-server-side="true" data-ajax="/api/adalia_id/asteroids/personal?format=datatables">
              <thead>
                <tr>
                    <th data-data="serial">{% translate "ID" %}</th>
                    <th data-data="name">{% translate "Name" %}</th>
                    <th data-data="spectral_type">{% translate "Spectral Type" %}</th>
                    <th data-data="diameter">{% translate "Diameter" %}</th>
                    <th data-data="semi_major_axis">{% translate "Semi-Major Axis" %}</th>
                </tr>
              </thead>
              <tbody></tbody>
          </table>
        </div>
        <div class="card-footer">&nbsp;</div>
      </div>
      <script>
        $(document).ready(function () {
          $('#asteroid-table').DataTable({
              "processing": true,
              "serverSide": true,
              "createdRow": function (row, data, index) {
                  row.onclick = function () {
                      window.location.href = Urls["nfts:asset-detail"]("INFA", data["serial"])
                  };

              }
          });
        });
        $(document).ready(function () {
          $('#crewmates-table').DataTable({
              "processing": true,
              "serverSide": true,
              "createdRow": function (row, data, index) {
                  row.onclick = function () {
                      window.location.href = Urls["nfts:asset-detail"]("INFC", data["serial"])
                  };

              }
          });
        });
      </script>
    </div>
  </div>
  <div class="row">

    <div class="col-0 col-lg-4">&nbsp;</div>
    <div class="col-12 col-lg-8">
      <div class="card">
        <div class="card-body">
          <div class="card-header">
            <div class="card-title">{{ user }}'s {% translate 'Active Crewmates' %}</div>
          </div>
          <hr />
          <table id="crewmates-table" class="table table-striped" style="width:100%" data-server-side="true" data-ajax="/api/adalia_id/crewmates/personal?format=datatables">
              <thead>
                <tr>
                    <th data-data="serial">{% translate "ID" %}</th>
                    <th data-data="name">{% translate "Name" %}</th>
                </tr>
              </thead>
              <tbody></tbody>
            </table>
          </div>
          <div class="card-footer">&nbsp;</div>
        </div>
          <script>
            $(document).ready(function () {
              $('#main-table').DataTable({
                  "processing": true,
                  "serverSide": true,
                  "createdRow": function (row, data, index) {
                      row.onclick = function () {
                          window.location.href = Urls["nfts:asset-detail"]("INFC", data["serial"])
                      };

                  },
              });
            });
          </script>
    </div>
  </div>
</div>

{% else %}

  <meta http-equiv = "refresh" content = "0; url = https://my.adalia.id" />

{% endif %}

{% endblock %}
